/**
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     Rainer Kartmann ( rainer dot kartmann at kit dot edu )
 * @date       2021
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#include "json_conversions.h"

#include <RobotAPI/libraries/aron/core/data/rw/writer/nlohmannJSON/NlohmannJSONWriter.h>
#include <RobotAPI/libraries/aron/core/data/rw/reader/nlohmannJSON/NlohmannJSONReader.h>


namespace armarx::navigation::core
{

    void arondto::to_json(nlohmann::json& j, const Edge& bo)
    {
        armarx::aron::data::writer::NlohmannJSONWriter writer;
        j = bo.write(writer);
    }


    void arondto::from_json(const nlohmann::json& j, Edge& bo)
    {
        armarx::aron::data::reader::NlohmannJSONReader reader;
        bo.read<armarx::aron::data::reader::NlohmannJSONReader::InputType>(reader, j);
    }


} // namespace armarx::navigation::core
